package me.jonathan.adminplugin;

import org.bukkit.entity.Player;
import org.bukkit.inventory.ItemStack;
import org.bukkit.Material;
import org.bukkit.GameMode;

import java.util.HashMap;
import java.util.UUID;

public class InventoryManager {

    private static final HashMap<UUID, ItemStack[]> inventories = new HashMap<>();
    private static final HashMap<UUID, GameMode> gameModes = new HashMap<>();

    public static void saveInventory(Player player) {
        inventories.put(player.getUniqueId(), player.getInventory().getContents());
        gameModes.put(player.getUniqueId(), player.getGameMode());
        player.getInventory().clear();
    }

    public static void restoreInventory(Player player) {
        if (inventories.containsKey(player.getUniqueId())) {
            player.getInventory().setContents(inventories.get(player.getUniqueId()));
            inventories.remove(player.getUniqueId());
        }
        if (gameModes.containsKey(player.getUniqueId())) {
            player.setGameMode(gameModes.get(player.getUniqueId()));
            gameModes.remove(player.getUniqueId());
        }
    }

    public static void giveAdminCompass(Player player) {
        ItemStack compass = new ItemStack(Material.COMPASS);
        player.getInventory().setItem(4, compass);
    }
}